Permalink
Browse files

Added gemspec

  • Loading branch information...
dekart committed Dec 26, 2011
1 parent cb26138 commit 6128e422fd26655ce576ff3eecbbe390fe1c3b00
Showing with 74 additions and 0 deletions.
  1. +23 −0 Rakefile
  2. +1 −0 VERSION
  3. +50 −0 facepalm.gemspec
View
@@ -0,0 +1,23 @@
+require 'rake/testtask'
+
+Rake::TestTask.new(:test) do |test|
+ test.libs << 'lib'
+ test.pattern = 'test/**/*_test.rb'
+ test.verbose = true
+end
+
+begin
+ require 'jeweler'
+
+ Jeweler::Tasks.new do |gem|
+ gem.name = 'facepalm'
+ gem.summary = "Facebook integration for Rack & Rails application"
+ gem.email = "rene.dekart@gmail.com"
+ gem.homepage = "http://github.com/dekart/#{ gem.name }"
+ gem.authors = ["Aleksey Dmitriev"]
+ end
+
+ Jeweler::GemcutterTasks.new
+rescue LoadError
+ puts "Jeweler, or one of its dependencies, is not available. Install it with: gem install jeweler"
+end
View
@@ -0,0 +1 @@
+0.1.0
View
@@ -0,0 +1,50 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{facepalm}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Aleksey Dmitriev"]
+ s.date = %q{2011-12-26}
+ s.email = %q{rene.dekart@gmail.com}
+ s.extra_rdoc_files = [
+ "LICENSE",
+ "README.md"
+ ]
+ s.files = [
+ "LICENSE",
+ "README.md",
+ "app/.gitkeep",
+ "config/routes.rb",
+ "init.rb",
+ "lib/facepalm.rb",
+ "lib/facepalm/config.rb",
+ "lib/facepalm/rack/post_canvas_middleware.rb",
+ "lib/facepalm/rails.rb",
+ "lib/facepalm/rails/controller.rb",
+ "lib/facepalm/rails/controller/oauth_access.rb",
+ "lib/facepalm/rails/controller/redirects.rb",
+ "lib/facepalm/rails/controller/url_rewriting.rb",
+ "lib/facepalm/rails/helpers.rb",
+ "lib/facepalm/rails/helpers/javascript_helper.rb",
+ "lib/facepalm/user.rb"
+ ]
+ s.homepage = %q{http://github.com/dekart/facepalm}
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.6.2}
+ s.summary = %q{Facebook integration for Rack & Rails application}
+
+ if s.respond_to? :specification_version then
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
+ end
+end
+

0 comments on commit 6128e42

Please sign in to comment.